Effectuer une rotation de l’API key pour l’utilisateur de service
curl --request POST \
--url https://api.devin.ai/v3beta1/enterprise/service-users/{service_user_id}/api-keys/{api_key_id}/rotate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"new_key_expires_at": 123,
"revoke_current": true
}
'import requests
url = "https://api.devin.ai/v3beta1/enterprise/service-users/{service_user_id}/api-keys/{api_key_id}/rotate"
payload = {
"new_key_expires_at": 123,
"revoke_current": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({new_key_expires_at: 123, revoke_current: true})
};
fetch('https://api.devin.ai/v3beta1/enterprise/service-users/{service_user_id}/api-keys/{api_key_id}/rotate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_key_id": "<string>",
"api_key_name": "<string>",
"token": "<string>"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}API keys d’utilisateurs de service (Entreprise) [Bêta]
Rotate enterprise service user api key
POST
/
v3beta1
/
enterprise
/
service-users
/
{service_user_id}
/
api-keys
/
{api_key_id}
/
rotate
Effectuer une rotation de l’API key pour l’utilisateur de service
Autorisations
ManageAccountServiceUsers au niveau de l’entreprise.Autorisations
Identifiant de compte de service (préfixe : cog_)
Paramètres de chemin
ID de l’utilisateur de service (préfixe : service-user-)
Exemple:
"service-user-abc123def456"
Corps
application/json
⌘I

